​
Select Service
ves-io-schema-ip_prefix_set-API-Get
Published April 5, 2023 | Last modified October 6, 2026
Examples of getting ip_prefix_set
Usecase:
Get ddos-black-list from system
Request using vesctl:
vesctl configuration get ip_prefix_set ddos-black-list --namespace system
vesctl yaml response:
deletedReferredObjects: []disabledReferredObjects: []metadata: annotations: {} labels: {} name: ddos-black-list namespace: systemreferringObjects: []resourceVersion: "1931"spec: ipv4Prefixes: - ipv4Prefix: 198.252.138.0/24 - ipv4Prefix: 167.127.95.0/24 - ipv4Prefix: 167.127.191.0/24 ipv6Prefix: [] ipv6Prefixes: [] prefix: []status: []systemMetadata: creationTimestamp: "2026-09-28T04:25:33.226169Z" creatorClass: examplesvc creatorId: examplesvc finalizers: [] labels: {} tenant: acmecorp uid: ae1c234b-d550-4b39-be88-e72e38d67b9eRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/system/ip_prefix_sets/ddos-black-list?response_format=0'curl response:
HTTP/1.1 200 OKContent-Length: 1179Content-Type: application/jsonDate: Mon, 28 Sep 2026 04:25:33 GMTVary: Accept-EncodingX-Volterra-Response-Fields-Deprecated: create_form.spec.ipv6_prefix.#,create_form.spec.prefix.#,replace_form.spec.ipv6_prefix.#,replace_form.spec.prefix.#,spec.ipv6_prefix.#,spec.prefix.#
{ "create_form": null, "replace_form": null, "resource_version": "1931", "metadata": { "name": "ddos-black-list", "namespace": "system", "labels": { }, "annotations": { }, "description": "", "disable": false }, "system_metadata": { "uid": "ae1c234b-d550-4b39-be88-e72e38d67b9e", "creation_timestamp": "2026-09-28T04:25:33.226169Z", "deletion_timestamp": null, "modification_timestamp": null, "initializers": null, "finalizers": [ ], "tenant": "acmecorp", "creator_class": "examplesvc", "creator_id": "examplesvc", "object_index": 0, "owner_view": null, "labels": { } }, "spec": { "prefix": [ ], "ipv6_prefix": [ ], "ipv4_prefixes": [ { "ipv4_prefix": "198.252.138.0/24", "description": "" }, { "ipv4_prefix": "167.127.95.0/24", "description": "" }, { "ipv4_prefix": "167.127.191.0/24", "description": "" } ], "ipv6_prefixes": [ ] }, "status": [ ], "referring_objects": [ ], "deleted_referred_objects": [ ], "disabled_referred_objects": [ ]}